CREATE TABLE `linkgroup`.`people` (
 `id` INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
 `name` VARCHAR(128) NOT NULL UNIQUE,
 PRIMARY KEY (`id`)
)
ENGINE = InnoDB;


CREATE TABLE `linkgroup`.`connections` (
 `id` INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
 `author_1` INTEGER UNSIGNED NOT NULL,
 `author_2` INTEGER UNSIGNED NOT NULL,
 PRIMARY KEY (`id`),
 CONSTRAINT `author_1` FOREIGN KEY `author_1` (`author_1`)
   REFERENCES `people` (`id`)
   ON DELETE CASCADE
   ON UPDATE CASCADE,
 CONSTRAINT `author_2` FOREIGN KEY `author_2` (`author_2`)
   REFERENCES `people` (`id`)
   ON DELETE CASCADE
   ON UPDATE CASCADE
)
ENGINE = InnoDB;

ALTER TABLE linkgroup.connections ADD INDEX (author_1);
ALTER TABLE linkgroup.connections ADD INDEX (author_2);

ALTER TABLE linkgroup.people ADD COLUMN deg INT;
ALTER TABLE linkgroup.people ADD INDEX (deg);
