# -*- coding: utf-8 -*-

import MySQLdb
import pylab #matplotlib

import pelda


def grafikon(deg_counts):
   """
   Grafikonon ábrázolja a népesség csökkenését
   a fokszám törlésének függvényében.

   @type    deg_counts: (deg, népesség) lista
   @param   deg_counts: A bemenő adatsor.

   """
   x = map(lambda v: v[0], deg_counts)
   y = map(lambda v: v[1], deg_counts)


   pylab.subplot(211)
   pylab.grid(True)
   pylab.title(u"Fizikusok törlésének hatása")
   
   pylab.loglog(x, y, color="green", marker="o")
   pylab.ylabel(u"Népesség")
   
   pylab.subplot(212)
   pylab.grid(True)
   pylab.plot(x, y, color="red", marker="^")
   pylab.ylabel(u"Népesség")
   pylab.xlabel(u"Min. túlélési fokszám")
   
   pylab.savefig("fig1.png")
   pylab.show()

def main():

   db = MySQLdb.connect(
      host="localhost",
      user="ron",
      passwd="alma",
      db="linkgroup"
   )

   print "Takarítás"
   pelda.clearDb(db)
 
   print "Feltöltés"
   pelda.loadFromFile("coauth.txt", db)
   
   print "Mehet"
   
   deg_counts = []
   pelda.calcDegree(db)

   id_degs = pelda.getDegrees(db)
   cnt = len(id_degs)

   deg_counts.append((0, cnt))

   print "Kezdeti népesség:", cnt

   minDeg = 10

   while cnt:
      # Elmentjük a népesség méretét
      oldCnt = cnt

      # Törlés
      pelda.deleteUnderDeg(db, minDeg)

      id_degs = pelda.getDegrees(db)
      cnt = len(id_degs)

      deg_counts.append((minDeg, cnt))

      minDeg += 10
      print "Népesség:", cnt


   db.close()
   
   """
   deg_counts = [(0, 30561), (10, 6575), (20, 2469), (30, 1143), (40, 571), (50, 326), (60, 203), (70, 123), (80, 85), (90, 60), (100, 44), (110, 32), (120, 18), (130, 14), (140, 10), (150, 9), (160, 6), (170, 5), (180, 3), (190, 1), (200, 0)]
   """
   
   print deg_counts

   grafikon(deg_counts)


main()
